import {get, post} from '../http'

const charge = {
  getStationPages: (params) => {
    return post('station/getStationPages', params)
  },
  addStation: (params) => {
    return post('station/addStation', params)
  },
  getStationInfo: (params) => {
    return get('station/getStationInfo', params)
  },
  updateStation: (params) => {
    return post('station/updateStation', params)
  },
  deleteStation: (params) => {
    return get('station/delStation', params)
  },
  getUnknownStationPages: (params) => {
    return post('station/getUnknownStationPages', params)
  },
  getConnectorList: (params) => {
    return post('station/getConnectorStatusPages', params)
  },
  getAllStationList: (params) => {
    return get('station/getAllStationList', params)
  },
  getStatusList: () => {
    return get('station/getStatusList')
  },
  getHeartbeatPeriodList: () => {
    return get('station/getHeartbeatPeriodList')
  },
  getRegistrationStatusList: () => {
    return get('station/getRegistrationStatusList')
  },
  getStatusOptions: () => {
    return get('base/getDataStatus')
  },
  getStationUrls: () => {
    return get('station/websocket/urls')
  },
  getErrorCodeOption: () => {
    return get('station/getErrorCodeList')
  }
}

export default charge;